<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>DOM.CSSPrimitiveValue</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>CSSPrimitiveValue Class Reference</h1>
<code>from PyKDE4.khtml import *</code>
<p>
Inherits: <a href="../khtml/DOM.CSSValue.html">DOM.CSSValue</a><br />

Namespace: DOM<br />
<h2>Detailed Description</h2>

<p>The CSSPrimitiveValue interface represents a single
<a href="http://www.w3.org/TR/REC-CSS2/syndata.html#values"> CSS
value </a> . This interface may be used to determine the value of a
specific style property currently set in a block or to set a
specific style properties explicitly within the block. An instance
of this interface can be obtained from the
getPropertyCSSValue method of the
CSSStyleDeclaration interface.
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj161756748">UnitTypes</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;CSS_UNKNOWN, CSS_NUMBER, CSS_PERCENTAGE, CSS_EMS, CSS_EXS, CSS_PX, CSS_CM, CSS_MM, CSS_IN, CSS_PT, CSS_PC, CSS_DEG, CSS_RAD, CSS_GRAD, CSS_MS, CSS_S, CSS_HZ, CSS_KHZ, CSS_DIMENSION, CSS_STRING, CSS_URI, CSS_IDENT, CSS_ATTR, CSS_COUNTER, CSS_RECT, CSS_RGBCOLOR, CSS_DPI, CSS_DPCM, CSS_PAIR, CSS_HTML_RELATIVE&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj173467180">__init__</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj173468940">__init__</a> (self, <a href="../khtml/DOM.CSSPrimitiveValue.html">DOM.CSSPrimitiveValue</a> other)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj161757644">__init__</a> (self, <a href="../khtml/DOM.CSSValue.html">DOM.CSSValue</a> other)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj161757260">__init__</a> (self, CSSPrimitiveValueImpl impl)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.Counter.html">DOM.Counter</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191241132">getCounterValue</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">float&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj176481676">getFloatValue</a> (self, long unitType)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.RGBColor.html">DOM.RGBColor</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191241772">getRGBColorValue</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.Rect.html">DOM.Rect</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191240620">getRectValue</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj176483340">getStringValue</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj177157324">primitiveType</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj163411500">setFloatValue</a> (self, long unitType, float floatValue)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj176484300">setStringValue</a> (self, long stringType, <a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> stringValue)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj173467180"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj173468940"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.CSSPrimitiveValue.html">DOM.CSSPrimitiveValue</a>&nbsp;</td>
<td class="paramname"><em>other</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj161757644"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.CSSValue.html">DOM.CSSValue</a>&nbsp;</td>
<td class="paramname"><em>other</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj161757260"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">CSSPrimitiveValueImpl&nbsp;</td>
<td class="paramname"><em>impl</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj191241132"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.Counter.html">DOM.Counter</a> getCounterValue</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>This method is used to get the Counter value. If this CSS value
doesn't contain a counter value, a DOMException
is raised. Modification to the corresponding style property can
be achieved using the Counter interface.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> The Counter value.
</dd></dl> </p>
<p>
DOMException
INVALID_ACCESS_ERR: Raises if the CSS value doesn't contain a
Counter value.
</p></div></div><a class="anchor" name="obj176481676"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">float getFloatValue</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>unitType</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>This method is used to get a float value in a specified unit.
If this CSS value doesn't contain a float value or can't be
converted into the specified unit, a DOMException
is raised.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>unitType</em>&nbsp;</td><td> A unit code to get the float value. The unit
code can only be a float unit type (e.g. CSS_NUMBER
, CSS_PERCENTAGE , CSS_EMS
, CSS_EXS , CSS_PX ,
</td></tr> </table></dl>
<p> CSS_PX , CSS_CM , CSS_MM
, CSS_IN , CSS_PT ,
CSS_PC , CSS_DEG , CSS_RAD
, CSS_GRAD , CSS_MS ,
CSS_S , CSS_HZ , CSS_KHZ
, CSS_DIMENSION ).
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> The float value in the specified unit.
</dd></dl> </p>
<p>
DOMException
INVALID_ACCESS_ERR: Raises if the CSS value doesn't contain a
float value or if the float value can't be converted into the
specified unit.
</p></div></div><a class="anchor" name="obj191241772"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.RGBColor.html">DOM.RGBColor</a> getRGBColorValue</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>This method is used to get the RGB color. If this CSS value
doesn't contain a RGB color value, a DOMException
is raised. Modification to the corresponding style
property can be achieved using the RGBColor
interface.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the RGB color value.
</dd></dl> </p>
<p>
DOMException
INVALID_ACCESS_ERR: Raises if the attached property can't
return a RGB color value.
</p></div></div><a class="anchor" name="obj191240620"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.Rect.html">DOM.Rect</a> getRectValue</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>This method is used to get the Rect value. If this CSS value
doesn't contain a rect value, a DOMException is
raised. Modification to the corresponding style property can be
achieved using the Rect interface.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> The Rect value.
</dd></dl> </p>
<p>
DOMException
INVALID_ACCESS_ERR: Raises if the CSS value doesn't contain a
Rect value.
</p></div></div><a class="anchor" name="obj176483340"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> getStringValue</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>This method is used to get the string value in a specified
unit. If the CSS value doesn't contain a string value, a
DOMException is raised.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> The string value in the current unit. The current
</dd></dl> valueType can only be a string unit type (e.g.
CSS_URI , CSS_IDENT and
CSS_ATTR ).
</p>
<p>
DOMException
INVALID_ACCESS_ERR: Raises if the CSS value doesn't contain a
string value.
</p></div></div><a class="anchor" name="obj177157324"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">long primitiveType</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The type of the value as defined by the constants specified
above.
</p></div></div><a class="anchor" name="obj163411500"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setFloatValue</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>unitType</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">float&nbsp;</td>
<td class="paramname"><em>floatValue</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>A method to set the float value with a specified unit. If the
property attached with this value can not accept the specified
unit or the float value, the value will be unchanged and a
DOMException will be raised.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>unitType</em>&nbsp;</td><td> A unit code as defined above. The unit code can
only be a float unit type (e.g. NUMBER ,
</td></tr> </table></dl>
<p> PERCENTAGE , CSS_EMS , CSS_EXS
, CSS_PX , CSS_PX ,
CSS_CM , CSS_MM , CSS_IN
, CSS_PT , CSS_PC ,
CSS_DEG , CSS_RAD ,
CSS_GRAD , CSS_MS , CSS_S
, CSS_HZ , CSS_KHZ ,
CSS_DIMENSION ).
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>floatValue</em>&nbsp;</td><td> The new float value.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd>
</dd></dl> DOMException
INVALID_ACCESS_ERR: Raises if the attached property doesn't
support the float value or the unit type.
</p>
<p>
NO_MODIFICATION_ALLOWED_ERR: Raised if this property is
readonly.
</p></div></div><a class="anchor" name="obj176484300"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setStringValue</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>stringType</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td>
<td class="paramname"><em>stringValue</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>A method to set the string value with a specified unit. If the
property attached to this value can't accept the specified unit
or the string value, the value will be unchanged and a
DOMException will be raised.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>stringType</em>&nbsp;</td><td> A string code as defined above. The string
code can only be a string unit type (e.g. CSS_URI
, CSS_IDENT , CSS_INHERIT
and CSS_ATTR ).
</td></tr>

<tr><td></td><td valign="top"><em>stringValue</em>&nbsp;</td><td> The new string value. If the
</td></tr> </table></dl>
<p> stringType is equal to CSS_INHERIT , the
stringValue should be inherit .
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>
</dd></dl> DOMException
INVALID_ACCESS_ERR: Raises if the CSS value doesn't contain a
string value or if the string value can't be converted into the
specified unit.
</p>
<p>
NO_MODIFICATION_ALLOWED_ERR: Raised if this property is
readonly.
</p></div></div><hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj161756748"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">UnitTypes</td>
</tr>
</table>
</div>
<div class="memdoc"><p>An integer indicating which type of unit applies to the value.
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>CSS_UNKNOWN</em>&nbsp;=&nbsp;0</td><td><tr><td valign="top"><em>CSS_NUMBER</em>&nbsp;=&nbsp;1</td><td><tr><td valign="top"><em>CSS_PERCENTAGE</em>&nbsp;=&nbsp;2</td><td><tr><td valign="top"><em>CSS_EMS</em>&nbsp;=&nbsp;3</td><td><tr><td valign="top"><em>CSS_EXS</em>&nbsp;=&nbsp;4</td><td><tr><td valign="top"><em>CSS_PX</em>&nbsp;=&nbsp;5</td><td><tr><td valign="top"><em>CSS_CM</em>&nbsp;=&nbsp;6</td><td><tr><td valign="top"><em>CSS_MM</em>&nbsp;=&nbsp;7</td><td><tr><td valign="top"><em>CSS_IN</em>&nbsp;=&nbsp;8</td><td><tr><td valign="top"><em>CSS_PT</em>&nbsp;=&nbsp;9</td><td><tr><td valign="top"><em>CSS_PC</em>&nbsp;=&nbsp;10</td><td><tr><td valign="top"><em>CSS_DEG</em>&nbsp;=&nbsp;11</td><td><tr><td valign="top"><em>CSS_RAD</em>&nbsp;=&nbsp;12</td><td><tr><td valign="top"><em>CSS_GRAD</em>&nbsp;=&nbsp;13</td><td><tr><td valign="top"><em>CSS_MS</em>&nbsp;=&nbsp;14</td><td><tr><td valign="top"><em>CSS_S</em>&nbsp;=&nbsp;15</td><td><tr><td valign="top"><em>CSS_HZ</em>&nbsp;=&nbsp;16</td><td><tr><td valign="top"><em>CSS_KHZ</em>&nbsp;=&nbsp;17</td><td><tr><td valign="top"><em>CSS_DIMENSION</em>&nbsp;=&nbsp;18</td><td><tr><td valign="top"><em>CSS_STRING</em>&nbsp;=&nbsp;19</td><td><tr><td valign="top"><em>CSS_URI</em>&nbsp;=&nbsp;20</td><td><tr><td valign="top"><em>CSS_IDENT</em>&nbsp;=&nbsp;21</td><td><tr><td valign="top"><em>CSS_ATTR</em>&nbsp;=&nbsp;22</td><td><tr><td valign="top"><em>CSS_COUNTER</em>&nbsp;=&nbsp;23</td><td><tr><td valign="top"><em>CSS_RECT</em>&nbsp;=&nbsp;24</td><td><tr><td valign="top"><em>CSS_RGBCOLOR</em>&nbsp;=&nbsp;25</td><td><tr><td valign="top"><em>CSS_DPI</em>&nbsp;=&nbsp;26</td><td><tr><td valign="top"><em>CSS_DPCM</em>&nbsp;=&nbsp;27</td><td><tr><td valign="top"><em>CSS_PAIR</em>&nbsp;=&nbsp;100</td><td><tr><td valign="top"><em>CSS_HTML_RELATIVE</em>&nbsp;=&nbsp;255</td><td></table>
</dl>
</div></div><p>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
